//
//  Example illustrating problem with be_roster->Launch()
//
//  Compile as C++, either gcc-2.95 or setarch x86, and invoke with
//  the name of an existing text file.
//
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <app/Application.h>
#include <app/Roster.h>
#include <kernel/OS.h>

extern "C" int
signatureLaunch(const char *signature, const char *file)
{
	BMessage *msg = new BMessage(B_REFS_RECEIVED);
	BEntry *entry = new BEntry(file);
	entry_ref ref;
	entry->GetRef(&ref);
	msg->AddRef("refs", &ref);
	return be_roster->Launch(signature, msg);
}

int
main(int argc, char **argv)
{
	signatureLaunch("text/plain", argv[1]);
	return 0;
}
